package com.brilliance.isc.mda.dao;

import com.brilliance.isc.common.rmbbop.entity.Tgc;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface TgcMapper {
    int insert(Tgc record);

    int insertSelective(Tgc record);

    int updateByPrimaryKeySelective(Tgc record);

    int updateByPrimaryKey(Tgc record);

    int deleteByPrimaryKey(Tgc record);

    int deleteByIds(Collection<Object> collection);

    Tgc selectByPrimaryKey(Tgc record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Tgc> dyncRead(Map<String, Object> dyncMap);

    Tgc selectByObjInfo(Tgc newtgc);

    List<Tgc> selectByObjtypAndObjinr(@Param("objtyp") String objtyp, @Param("objinr") String objinr);

    int deleteByobjtypAndobjinr (@Param("objtyp") String objtyp, @Param("objinr") String objinr);

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<Tgc> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<Tgc> entities);
}
